<?php

$loja_id = $_SESSION['loja'];

$pesquisa = '';


$data_de              = '';
$data_ate             = '';
$user_pesq            = '';
$situacao_pesq        = '';
$tipo_situacao_pesq   = '';
$cod_pesq             = '';

if (isset($_GET['BTNPESQUISA'])) {
	$data_de              = $_GET['data_de'];	
	$data_ate             = $_GET['data_ate'];
	$user_pesq            = $_GET['user_pesq'];
	$situacao_pesq        = $_GET['situacao_pesq'];
	$tipo_situacao_pesq   = $_GET['tipo_situacao_pesq'];
	$cod_pesq             = trim($_GET['cod_pesq'], ' ');

	$complemento = " ";
	if ($_SESSION['loja'] != 'todas') {
	  $complemento .= "a.loja_id = $loja_id AND ";
	}
	if (!empty($cod_pesq)) {
	  $complemento .= " EXISTS(
	  		SELECT * FROM (
			    SELECT id_produto, id_processo FROM unidos.processos_produtos
			    UNION
			    SELECT id_produto, id_processo FROM unidos.processos_produtos_dep
			) PP INNER JOIN unidos_sistema.uni_produtos_web UPW ON UPW.id = PP.id_produto
			WHERE UPW.SQL_ICODBUS LIKE '%$cod_pesq%' AND PP.id_processo = a.id_original
		)  AND ";
	}
	if (!empty($user_pesq)) {
	  $complemento .= " a.id_user = '$user_pesq' AND ";
	}
	if (!empty($situacao_pesq)) {
	  $complemento .= " b.id_processo = '$situacao_pesq' AND ";
	}
	if ($tipo_situacao_pesq == 1 && false) { # corrigir funcionamento deste filtro
	  $complemento .= " b.id = (SELECT MAX(id) FROM unidos.processos_gerenciamento WHERE id_processo = '$situacao_pesq') AND ";
	}
	if (!empty($data_de) && empty($data_ate)) {
	  $complemento .= " CAST(b.data_cadastro as DATE) >= '$data_de' AND ";
	} else if (empty($data_de) && !empty($data_ate)) {
	  $complemento .= " CAST(b.data_cadastro as DATE) <= '$data_ate' AND ";
	}
	if (!empty($data_de) && !empty($data_ate)) {
	  $complemento .= " CAST(b.data_cadastro as DATE) BETWEEN '$data_de' AND '$data_ate' AND ";
	}

	$complemento .= " 1";

	$pesquisa = "SELECT
	                  a.id_original id, id_user, processo_gerenciamento, processo_iniciado
	              FROM (
	                  SELECT '' processo_iniciado, id_user, id id_original, aposentadoria, loja_id FROM unidos.processos_iniciados WHERE aposentadoria = 0
	                  UNION
	                  SELECT 'dep' processo_iniciado, id_user, id_original, aposentadoria, loja_id FROM unidos.processos_iniciados_dep WHERE aposentadoria = 0
	              ) a
	              INNER JOIN (
	                  SELECT '' processo_gerenciamento, id, id_processo_iniciado, id_processo, data_cadastro FROM unidos.processos_gerenciamento WHERE id_processo = 1
	                  UNION
	                  SELECT 'dep' processo_gerenciamento, id, id_processo_iniciado, id_processo, data_cadastro FROM unidos.processos_gerenciamento_dep WHERE id_processo = 1
	              ) b ON b.id_processo_iniciado = a.id_original
	              WHERE $complemento
	              GROUP BY a.id_original DESC
	";

	echo '<div style="display:none;">';
	echo $pesquisa;
	echo '</div>';
}